Controller (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.Controller interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface Controller

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  HostBusAdaptor

    public interface Controller

extends LogicalDevice

A Controller represents a class of hardware having an explicit protocol stack and existing primarly for communication with devices.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  CONTRDEV
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.dev.LogicalDevice
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getName()` The name of the Controller.
`ComputerSystem` | `getParent()` The ComputerSystem that this controller belongs to.
`PhysicalPackage` | `getPhysicalPackage()` The PhysicalPackage that is implementing this Controller.
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPhysicalPackage()`
`void` | `setName(java.lang.String name)`
`void` | `setParent(ComputerSystem parent)`
`void` | `setPhysicalPackage(PhysicalPackage phys)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  The ComputerSystem that this controller belongs to.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  The name of the Controller. This name should be unique inside the parent ComputerSystem

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getPhysicalPackage

    PhysicalPackage getPhysicalPackage()
                                       throws AttributeNotSetException

  The PhysicalPackage that is implementing this Controller. This is a placeholder relationship until a more generic LogicalDevice to PhysicalDevice relation is implemented

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Implements" reverse="true"

### setPhysicalPackage

    void setPhysicalPackage(PhysicalPackage phys)

### hasPhysicalPackage

    boolean hasPhysicalPackage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD